Subject: Re: bug#6945: active-minibuffer-window returns nil when prompt overwritten by message

From: Lennart Borgman <[email-masked]>
Date: Mon, 30 Aug 2010 15:57:41 +0200

On Mon, Aug 30, 2010 at 3:48 PM, Stephen Berman <[email-masked]> wrote:
>
> I guess I misunderstood -- I thought you were reporting you saw no
> prompt and could not get it with the above recipe.  As for
> active-minibuffer-window not returning a window, maybe I still
> misunderstand, but I get the message "active-minibuffer-window = nil"

That is what I get too.

> not only with the above progn, but also with this:
>
> (progn
>  (run-with-idle-timer 1 nil 'message "idle message")
>  (run-with-idle-timer 2 nil 'temp-active-mb)
>  )
>
> and even just with this:
>
> (run-with-idle-timer 2 nil 'temp-active-mb)
>
> So the prompt seems to make no difference.  Or do you see (or expect)
> something different?

I expected active-minibuffer-window to return a window, but as Andreas
has pointed out y-or-n-p is implemented in a different way. It just
call `message' and then read a key from the user.

However I would like to detect such situations too. From the users
point of view they are very similar to other prompts. (If you replace
`y-or-n-p' with `yes-or-no-p' then active-minibuffer-window will
return a window.)